Bug 248758 - security/rubygem-bcrypt: Update to 3.1.15
Summary: security/rubygem-bcrypt: Update to 3.1.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Matthias Fechner
URL:
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2020-08-19 17:49 UTC by theis
Modified: 2020-12-19 13:05 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ruby)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description theis 2020-08-19 17:49:19 UTC
It is almost straight-forward, but crypt_r has to be patched out of wrapper.c again.
Comment 1 theis 2020-10-04 11:37:46 UTC
Version 3.1.15 is a requirement for other rubygems
Comment 2 commit-hook freebsd_committer 2020-12-19 13:05:07 UTC
A commit references this bug:

Author: mfechner
Date: Sat Dec 19 13:04:33 UTC 2020
New revision: 558450
URL: https://svnweb.freebsd.org/changeset/ports/558450

Log:
  Upgrade to 3.1.16.
  Changelog:
  https://github.com/codahale/bcrypt-ruby/blob/master/CHANGELOG

  PR:		248758
  Submitted by:	theis@gmx.at

Changes:
  head/security/rubygem-bcrypt/Makefile
  head/security/rubygem-bcrypt/distinfo
Comment 3 Matthias Fechner freebsd_committer 2020-12-19 13:05:22 UTC
Committed update to 3.1.16, thanks!